POST api/NTSetting/PostExamCertificate
Request Information
URI Parameters
None.
Body Parameters
ExamCertificateDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ExamId | string |
String length: inclusive between 0 and 20 |
|
| MessageTemplate | string |
String length: inclusive between 0 and 4000 |
|
| CertificateTypeId | integer |
None. |
|
| CertificateName | string |
String length: inclusive between 0 and 250 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"ExamId": "sample string 2",
"MessageTemplate": "sample string 3",
"CertificateTypeId": 4,
"CertificateName": "sample string 5",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:27:49.153387-07:00",
"DateUpdated": "2026-08-04T14:27:49.153387-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfExamCertificateDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | ExamCertificateDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"ExamId": "sample string 2",
"MessageTemplate": "sample string 3",
"CertificateTypeId": 4,
"CertificateName": "sample string 5",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:27:49.153387-07:00",
"DateUpdated": "2026-08-04T14:27:49.153387-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
},
"totalCount": 3
}